Highlighted

upgrades

New Here ,
Oct 28, 2020

Copy link to clipboard

Copied

Why is the cloud saying I have updates, but when you get ready to download from the cloud it say's all the downloads are not compatible starting with ver. 22, if it is corrupt why don't  they take it down from the cloud?

TOPICS
Download and install, Mac, Problem or error

Views

26

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more

upgrades

New Here ,
Oct 28, 2020

Copy link to clipboard

Copied

Why is the cloud saying I have updates, but when you get ready to download from the cloud it say's all the downloads are not compatible starting with ver. 22, if it is corrupt why don't  they take it down from the cloud?

TOPICS
Download and install, Mac, Problem or error

Views

27

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Oct 28, 2020 0
Adobe Community Professional ,
Oct 28, 2020

Copy link to clipboard

Copied

Hi

More than likely the operating system you have isn't compatible

https://helpx.adobe.com/ie/photoshop/system-requirements.html

 

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Oct 28, 2020 0
New Here ,
Oct 28, 2020

Copy link to clipboard

Copied

Nope that isn’t it, I checked

Doug

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Oct 28, 2020 0
Adobe Community Professional ,
Oct 28, 2020

Copy link to clipboard

Copied

Doug,

Then your computer doesn't meet the other minimum system requirements to run the latest & greatest.

https://helpx.adobe.com/creative-cloud/system-requirements.html

https://helpx.adobe.com/ie/photoshop/system-requirements.html

 

Windows 10 (64-bit) version 1809 or later

*Mac Catalina, Big Sur.

4GB of free Hard Disk space + additional for installation.

*Photoshop will not install on a volume that uses a case-sensitive file system.

 

In the meantime, keep using what you have.

 

Nancy O'Shea, ACP
Alt-Web Design & Publishing

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Oct 28, 2020 0